function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Figures","2");
A=P.fN("Tables","3");
A=P.fN("Preface","4");
var B=A.fN("Changes from the Previous Release of this Guide","5");
B=A.fN("Related Documentation","6");
var C=B.fN("TIBCO ActiveMatrix BusinessWorks BPEL Extension Documentation","6#30316");
C=B.fN("Other TIBCO Product Documentation","6#24887");
C=B.fN("Third-Party Documentation","6#30096");
B=A.fN("Typographical Conventions","7");
B=A.fN("How to Contact TIBCO Support","8");
A=P.fN("Chapter\u00a01 Overview of TIBCO ActiveMatrix BusinessWorks BPEL Extension","9");
B=A.fN("Product Overview","10");
C=B.fN("Prerequisite Information","10#1676299");
B=A.fN("Services","11");
C=B.fN("Service Description","11#1676357");
C=B.fN("Endpoints","11#1676057");
C=B.fN("Interface","11#1676583");
C=B.fN("Partner Links","11#1676607");
B=A.fN("Orchestration Processes","12");
C=B.fN("Activities","12#1696615");
C=B.fN("Process Variables","12#1747798");
C=B.fN("Correlations","12#1747764");
C=B.fN("Groups","12#1747754");
C=B.fN("Event Handling","12#1685611");
C=B.fN("Exception Handling","12#1787463");
C=B.fN("Testing and Deployment","12#1685666");
B=A.fN("Exporting and Importing","13");
A=P.fN("Chapter\u00a02 Installing TIBCO ActiveMatrix BusinessWorks BPEL Extension","14");
B=A.fN("Installer Overview","15");
C=B.fN("Uninstalling TIBCO ActiveMatrix BusinessWorks BPEL Extension","15#1754477");
B=A.fN("Installation Registry","16");
C=B.fN("Microsoft Windows Platforms","16#1754494");
C=B.fN("UNIX Platforms","16#1754503");
C=B.fN("Installation History","16#1754527");
B=A.fN("Required and Optional TIBCO Products","17");
B=A.fN("Installing on Microsoft Windows","18");
C=B.fN("Installing TIBCO ActiveMatrix BusinessWorks BPEL Extension on Microsoft Windows","18#1754633");
C=B.fN("Combining Options","18#1754672");
B=A.fN("Installation on UNIX Systems","19");
C=B.fN("Installing TIBCO ActiveMatrix BusinessWorks on UNIX","19#1754756");
C=B.fN("Combining Options","19#1754799");
C=B.fN("Post Installation","19#1754805");
A=P.fN("Chapter\u00a03 TIBCO ActiveMatrix BusinessWorks BPEL Extension Tutorial","20");
B=A.fN("Overview of the Tutorial","21");
B=A.fN("WSDL Files in the Tutorial","22");
C=B.fN("Mortgage Broker WSDL","22#1776095");
C=B.fN("Partner WSDLs","22#1776104");
B=A.fN("Configuring the Orchestration Process","23");
C=B.fN("Configuring the Orchestration Process","23#1779154");
C=B.fN("Configuring the Activities","23#1779850");
B=A.fN("Configuring the Service","24");
C=B.fN("Creating the Partner Link Configuration","24#1776050");
C=B.fN("Endpoint Connection Resource","24#1820852");
C=B.fN("Configuring the Service Resource","24#1776052");
B=A.fN("The External Partner Services","25");
B=A.fN("Using a TIBCO ActiveMatrix BusinessWorks Process to Invoke the Service","26");
B=A.fN("Running the Tutorial","27");
B=A.fN("Changing the Partner Bindings","28");
A=P.fN("Chapter\u00a04 Working with Orchestration Processes","29");
B=A.fN("Overview of Orchestration Processes","30");
C=B.fN("Execution Path in Orchestration Processes","30#1767965");
B=A.fN("Activities Within Orchestration Processes","31");
B=A.fN("Input and Output of Activities","32");
B=A.fN("Process Variables","33");
C=B.fN("User-Defined Process Variables","33#1805213");
C=B.fN("Activity Output","33#1805205");
C=B.fN("Predefined Process Variables","33#1744735");
C=B.fN("Error Process Variables","33#1744746");
C=B.fN("Memory Usage of Process Variables","33#1744774");
B=A.fN("Transitions and Join Conditions","34");
B=A.fN("Correlations","35");
B=A.fN("Invoking Services From TIBCO ActiveMatrix BusinessWorks Process Definitions","36");
A=P.fN("Chapter\u00a05 Scopes, Iteration, and Conditional Processing Using Groups","37");
B=A.fN("Overview of Groups","38");
C=B.fN("Activity Output and Groups","38#1714099");
B=A.fN("Configuring Groups","39");
C=B.fN("Configuration Tab","39#1714124");
C=B.fN("Group Variables Tab","39#1714249");
C=B.fN("Correlations Tab","39#1714255");
C=B.fN("Join Condition Tab","39#1714261");
B=A.fN("Scope Groups","40");
B=A.fN("If Groups","41");
B=A.fN("Pick First Groups","42");
B=A.fN("Overview of Loops","43");
C=B.fN("Index Variable","43#1714333");
C=B.fN("Accumulate Output","43#1714344");
B=A.fN("Iterate Loop","44");
C=B.fN("Iteration Element","44#1714386");
B=A.fN("While True Loop","45");
A=P.fN("Chapter\u00a06 Exception Handling","46");
B=A.fN("Overview of Exception Handling","47");
B=A.fN("Throw Activity","48");
B=A.fN("Rethrow Activity","49");
A=P.fN("Chapter\u00a07 Services and Partners","50");
B=A.fN("Overview of Services and Partners","51");
B=A.fN("Configuring a Service","52");
C=B.fN("Saving Concrete WSDL Files for Partners","52#1690984");
B=A.fN("Partners","53");
C=B.fN("Input Partners","53#1687220");
C=B.fN("Invoked Partners","53#1687272");
A=P.fN("Chapter\u00a08 Testing and Deploying Orchestration Processes","54");
B=A.fN("Overview of Testing and Deployment","55");
B=A.fN("Testing Orchestration Processes","56");
C=B.fN("Loading And Starting Orchestration Processes","56#1764729");
C=B.fN("Colors and Icons in Test Mode","56#1765024");
B=A.fN("Deploying TIBCO ActiveMatrix BusinessWorks BPEL Extension Resources","57");
A=P.fN("Chapter\u00a09 Exporting and Importing Orchestration Processes","58");
B=A.fN("Overview of Exporting and Importing","59");
B=A.fN("Exporting Orchestration Processes","60");
B=A.fN("Importing Orchestration Processes","61");
A=P.fN("Chapter\u00a010 Palette Reference","62");
B=A.fN("Assign","63");
C=B.fN("Configuration","63#1673690");
C=B.fN("Join Condition","63#1671777");
B=A.fN("Catch","64");
C=B.fN("Configuration","64#1673800");
C=B.fN("Output","64#1673819");
B=A.fN("Checkpoint","65");
C=B.fN("Configuration","65#1673872");
C=B.fN("Join Condition","65#1673891");
C=B.fN("Input","65#1673910");
C=B.fN("Error Output","65#1673931");
B=A.fN("Exit","66");
C=B.fN("Configuration","66#1674098");
C=B.fN("Join Condition","66#1674117");
B=A.fN("Invoke Process","67");
C=B.fN("Configuration","67#1674156");
C=B.fN("Dynamically Determining the Process to Call","67#1719883");
C=B.fN("Join Condition","67#1674175");
C=B.fN("Input Variable","67#1674194");
C=B.fN("Input","67#1674305");
C=B.fN("Output","67#1674333");
C=B.fN("Output Variable","67#1674341");
B=A.fN("Invoke Service","68");
C=B.fN("Configuration","68#1673606");
C=B.fN("Input","68#1673095");
C=B.fN("Output","68#1673665");
C=B.fN("Error Output","68#1673667");
B=A.fN("Invoke","69");
C=B.fN("Configuration","69#1674411");
C=B.fN("Join Condition","69#1674430");
C=B.fN("Input Variable","69#1727015");
C=B.fN("Input","69#1752949");
C=B.fN("Output","69#1727054");
C=B.fN("Output Variable","69#1727072");
C=B.fN("Error Output","69#1674544");
B=A.fN("Null","70");
C=B.fN("Configuration","70#1674555");
C=B.fN("Join Condition","70#1674574");
B=A.fN("On Alarm","71");
C=B.fN("Configuration","71#1674613");
B=A.fN("On Event","72");
C=B.fN("Configuration","72#1674835");
C=B.fN("Output","72#1674873");
C=B.fN("Output Variable","72#1729011");
B=A.fN("Orchestration Process","73");
C=B.fN("Configuration","73#1673285");
C=B.fN("Process Variables","73#1673293");
C=B.fN("Input Partners","73#1673295");
C=B.fN("Partners","73#1673297");
C=B.fN("Correlations","73#1673299");
B=A.fN("Partner Link Configuration","74");
C=B.fN("Configuration","74#1673553");
B=A.fN("Receive Starter","75");
C=B.fN("Configuration","75#1674988");
C=B.fN("Output","75#1730801");
C=B.fN("Output Variable","75#1730719");
B=A.fN("Receive","76");
C=B.fN("Configuration","76#1675117");
C=B.fN("Join Condition","76#1675132");
C=B.fN("Output","76#1730832");
C=B.fN("Output Variable","76#1730847");
B=A.fN("Reply With Fault","77");
C=B.fN("Configuration","77#1675240");
C=B.fN("Join Condition","77#1675255");
C=B.fN("Input Variable","77#1733039");
C=B.fN("Input","77#1733056");
B=A.fN("Reply","78");
C=B.fN("Configuration","78#1675401");
C=B.fN("Join Condition","78#1675416");
C=B.fN("Input Variable","78#1733532");
C=B.fN("Input","78#1733549");
B=A.fN("Rethrow","79");
C=B.fN("Configuration","79#1675520");
C=B.fN("Join Condition","79#1675535");
B=A.fN("Service","80");
C=B.fN("Configuration","80#1675575");
C=B.fN("Advanced SOAP Settings","80#1850909");
C=B.fN("WSDL Source","80#1695997");
C=B.fN("Overview","80#1696044");
B=A.fN("Sleep","81");
C=B.fN("Configuration","81#1675695");
C=B.fN("Join Condition","81#1675710");
B=A.fN("Throw","82");
C=B.fN("Configuration","82#1675750");
C=B.fN("Fault Data","82#1675765");
C=B.fN("Join Condition","82#1675810");
C=B.fN("Input Variable","82#1734786");
C=B.fN("Input","82#1734803");
B=A.fN("Write To Log","83");
C=B.fN("Configuration","83#1675846");
C=B.fN("Join Condition","83#1675861");
C=B.fN("Input","83#1675880");
A=P.fN("Appendix\u00a0A Error Codes","84");
B=A.fN("TIBCO ActiveMatrix BusinessWorks BPEL Extension Error Codes","85");
}
